Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class ConsumerRegistryService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.wsrp.consumer.ConsumerRegistryService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ConsumerRegistry, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class ConsumerRegistryService

extends AbstractJBossService
implements ConsumerRegistry

Since:
  2.6
Version:
  $Revision: 9863 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ConsumerRegistryService()`

Method Summary
`void` | `activateConsumerWith(java.lang.String id)` Activates the consumer associated with the specified identifier if and only if access to the remote producer is properly setup (i.e.
`WSRPConsumer` | `createConsumer(java.lang.String id, java.lang.Integer expirationCacheSeconds)`
`void` | `deactivateConsumerWith(java.lang.String id)`
`void` | `destroyConsumer(java.lang.String id)`
`java.util.Collection` | `getConfiguredConsumers()`
`WSRPConsumer` | `getConsumer(java.lang.String id)`
`org.jboss.portal.portlet.federation.FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`java.lang.String` | `getSessionFactoryJNDIName()`
`void` | `persistConsumer(WSRPConsumer consumer)`
`void` | `registerOrDeregisterConsumerWith(java.lang.String id, boolean register)`
`void` | `setFederatingPortletInvoker(org.jboss.portal.portlet.federation.FederatingPortletInvoker federatingPortletInvoker)`
`void` | `setPortalEventListenerRegistry(PortalEventListenerRegistry portalEventListenerRegistry)`
`void` | `setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)`
`protected void` | `startService()`
`protected void` | `stopService()`
`void` | `updateProducerInfo(ProducerInfo producerInfo)`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerRegistryService

    public ConsumerRegistryService()

Method Detail

### getFederatingPortletInvoker

    public org.jboss.portal.portlet.federation.FederatingPortletInvoker getFederatingPortletInvoker()

  Specified by:
    `getFederatingPortletInvoker` in interface `ConsumerRegistry`

### setPortalEventListenerRegistry

    public void setPortalEventListenerRegistry(PortalEventListenerRegistry portalEventListenerRegistry)

### createConsumer

    public WSRPConsumer createConsumer(java.lang.String id,
                                       java.lang.Integer expirationCacheSeconds)

  Specified by:
    `createConsumer` in interface `ConsumerRegistry`

### destroyConsumer

    public void destroyConsumer(java.lang.String id)

  Specified by:
    `destroyConsumer` in interface `ConsumerRegistry`

### persistConsumer

    public void persistConsumer(WSRPConsumer consumer)

  Specified by:
    `persistConsumer` in interface `ConsumerRegistry`

### setFederatingPortletInvoker

    public void setFederatingPortletInvoker(org.jboss.portal.portlet.federation.FederatingPortletInvoker federatingPortletInvoker)

### getSessionFactoryJNDIName

    public java.lang.String getSessionFactoryJNDIName()

### setSessionFactoryJNDIName

    public void setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)

### activateConsumerWith

    public void activateConsumerWith(java.lang.String id)
                              throws ConsumerException

  Description copied from interface: `ConsumerRegistry`
  Activates the consumer associated with the specified identifier if and only if access to the remote producer is properly setup (i.e. the associated service factory MUST be available).

  Specified by:
    `activateConsumerWith` in interface `ConsumerRegistry`
  Parameters:
    `id` - the identifier of the consumer to be activated
  Throws:
    `ConsumerException`

### deactivateConsumerWith

    public void deactivateConsumerWith(java.lang.String id)
                                throws ConsumerException

  Specified by:
    `deactivateConsumerWith` in interface `ConsumerRegistry`
  Throws:
    `ConsumerException`

### updateProducerInfo

    public void updateProducerInfo(ProducerInfo producerInfo)

  Specified by:
    `updateProducerInfo` in interface `ConsumerRegistry`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getConfiguredConsumers

    public java.util.Collection getConfiguredConsumers()

  Specified by:
    `getConfiguredConsumers` in interface `ConsumerRegistry`

### getConsumer

    public WSRPConsumer getConsumer(java.lang.String id)

  Specified by:
    `getConsumer` in interface `ConsumerRegistry`

### registerOrDeregisterConsumerWith

    public void registerOrDeregisterConsumerWith(java.lang.String id,
                                                 boolean register)

  Specified by:
    `registerOrDeregisterConsumerWith` in interface `ConsumerRegistry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD